Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 09-06-2015 13:06:58

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : probleme pilote GTX750ti

smolski a écrit :

Salut seb58 et bienvenue sur df !

On a aussi un tuto sur le nvidia, :
https://debian-facile.org/doc:materiel: … ia:accueil

Des fois queue ??? smile

Si tu pouvais aussi utiliser les balises codes pour le retour de commande du terminal écrites sur le forum...

Voir le tuto : Le code, ça pique moins les yeux en couleur Et un point de plus dans la bezasse à Jo ! wink



toujours a l affut d'un point choco  wink

et avant de le lancer sur le tuto , qu il regarde son type de carte , voir au dessus . (msi est en maxwell , Asus non il y a quelques mois (ça a peut etre changé depuis ) ).

Hors ligne

#27 09-06-2015 13:09:03

sogal
Black Metal Modo
Distrib. : Debian Testing
Noyau : 4.7
(G)UI : Gnome
Inscription : 09-05-2013
Site Web

Re : probleme pilote GTX750ti

robert2a a écrit :

le .run fonctionne trés bien , le seul soucis c est lors d une modification du noyau tu risque de perdre le driver et devoir l enlever puis l installer a nouveau.


C'est en effet le gros problème, lequel, en fonction de son degré de maîtrise de son système risque d'être bloquant.

robert2a a écrit :

il n utilise pas les dépots parce que sa carte risque d etre equipé d un gpu Maxwell et qu il lui faut au moins la version 343 du driver disponible dans "experimental".


Ok, merci pour la précision.


Machine perso : Thinkpad x230 Debian Stretch | Machine pro : Thinpad T450 openSUSE Leap 42.2

Hors ligne

#28 09-06-2015 22:07:28

yoshi
Membre
Lieu : Normandie
Distrib. : PCLinuxOS/Antix/Slackware
Noyau : 4.8.12/4.4.10/4.4.32
(G)UI : Plasma5/Fluxbox/KDE4/Trinity
Inscription : 05-03-2014

Re : probleme pilote GTX750ti

La GTX 750 est bien dotée d'un GPU Maxwell.
Je pense qu'actuellement seul le .run d'Nvidia
est capable d'en tirer la quintescance. La méthode
utilisant module-assistant qui est un outil Debian
est je pense la plus simple.
Module-assistant est aussi utilisé par le script smxi
mais de manière automatisée.

PcLinuxOs KDE Plasma 5.8.4 / Slackware -current KDE 4.14.21 sur workstation bi-processeur AMD Opteron 4234 32 Go DDR-3
antiX 16 rox/fluxbox sur laptop Toshiba Satellite C-660-2D6 Intel core I3 8Go DDR-3
PcLinuxOs Trinity Desktop+Kodi sur media-center HP Intel Celeron 2Go DDR-3

Hors ligne

#29 10-06-2015 01:49:25

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : probleme pilote GTX750ti

attention on trouve encore l'ancienne   géneration 

une MSI rue du commerce



    Fréquence du core : 1085 MHz / boost 1163 MHz
    Fréquence du mémoire : 5400 MHz
    CUDA Cores : 960
    Mémoire : 2048 Mo GDDR5
    PCI Express 3.0
    Interface mémoire : 128 bit
    DirectX 11
    DL-DVI-D/D-SUB/HDMI
    HDCP : oui
    PhysX : oui
    OpenGL : 4.4
    Multi-Display Technology : Surround
    3D Technology : 3DVision
    Power Saving Tech : GPU Boost 2.0
    ATX
    Dimensions : 250 x 128 x 37 mm
 


une asus toujours rue du commerce


Voir le descriptif détaillé
Descriptif détaillé : Asus - GeForce GTX 750 Ti OC - 2 Go

    Fréquence du core : 1072 MHz / boost 1150 MHz
    Fréquence du mémoire : 1350 MHz (5400 MHz GDDR5)
    CUDA Cores : 640
    Mémoire : 2048 Mo GDDR5
    PCI Express 3.0
    Interface mémoire : 128 bit
    DirectX 11
    HDMI - D-sub - 2 x Dual-link DVI-D
    HDCP : oui
    PhysX : oui
    Dimensions : 21.8 x 11.5 x 3.9 cm
 



peut etre faudrai t il verifier si ça peut lui permettre d utiliser les drivers non-free des depots debian.

la msi fait 5 euros de plus pour un maxwell avec 940 cores cuda contre 640 cores cuda pour asus  (avec une vieille generation de gpu )

pour msi il donne l info en général du gpu installé

le model kepler:

La première explication tient au processeur graphique dont la MSI GeForce GTX 750 Ti OC - 2 Go est équipée : un NVIDIA GeForce GTX 750 Ti qui embarque 2 Go de mémoire GDDR5 cadencés à 5400 MHz et dont les 640 cœurs CUDA qui turbinent à 1059 MHz, atteignent les 1137 MHz lorsque la fréquence est boostée.

De plus, la présence d’un circuit graphique Kepler optimisé pour DirectX11 et des nombreuses innovations signées NVIDIA promettent une réactivité surprenante et des performances remarquables dans les jeux tout en garantissant une consommation d’énergie minime.

le model maxwell

GeForce GTX 750 Ti Twin Frozr, vitesse, puissance et consommation maitrisées

La GeForce GTX 750 Ti Twin Frozr est la plus puissante des cartes graphiques à faible consommation énergétique. Avec sa GeForce GTX 750 Ti, MSI vous propose une carte dotée de technologies innovantes, pour un rapport performances/prix vraiment exceptionnel.

Grâce à sa nouvelle puce, basée sur l'architecture Maxwell, Nvidia vous offre des graphismes exceptionnels, qui vous permettront de jouer en vous immergeant dans les jeux les plus exigeants.

faut bien passer les stocks tongue  , wink

il n y a pas que "Ati Amd" qui utilise ce procédé neutral

Dernière modification par robert2a (10-06-2015 01:54:08)

Hors ligne

#30 10-06-2015 11:35:44

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : probleme pilote GTX750ti

Bonjour

seb58 a écrit :

je vais essayer la solution donnée par yoshi.

Voir module-assistant  smile


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#31 10-06-2015 13:10:12

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : probleme pilote GTX750ti

Aujourd'hui, plutôt que module-assistant, on utilise plus facilement dkms, qui fait la même chose, mais en gardant trace de ce qu'il fait, et en recompilant automatiquement au besoin.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#32 10-06-2015 19:01:21

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : probleme pilote GTX750ti

paskal a écrit :

Oui mais avant, tu n'as pas un fichier "readme" qui indique les dépendances requises ?



tongue wink

=> documentation .run de nvidia

http://fr.download.nvidia.com/XFree86/L … index.html

la ligne ci dessous te donne quoi


lspci
 



ça doit te donner une ligne "vga compatible" du genre :


04:00.0 VGA compatible controller: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] (rev a2)
 


ce que tu a besoin pour que l installateur ne bloque pas:


Software Element  Supported versions  Check With...
Linux kernel  2.6.18* and newer   cat /proc/version
XFree86**   4.0.1 and newer   XFree86 -version
X.Org**   1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7, 1.8, 1.9, 1.10, 1.11, 1.12, 1.13, 1.14, 1.15, 1.16, 1.17  Xorg -version
Kernel modutils   2.1.121 and newer   insmod --version
glibc   2.0   ls /lib/libc.so.* > 6
 



pour la compilation ce qui est necessaire


Software Element  Min Requirement   Check With...
binutils  2.9.5   size --version
GNU make  3.77  make --version
gcc   2.91.66   gcc --version
 



ps: de completer ton profil ce serait pas mal aussi tu a quoi Jessie et le bureau gnome ?

voici sur strech ce que me donne les commandes ci-dessus


 cat /proc/version
 


retour de la commande:


 cat /proc/version
Linux version 3.16.0-4-amd64 (debian-kernel@lists.debian.org) (gcc version 4.8.4 (Debian 4.8.4-1) ) #1 SMP Debian 3.16.7-ckt11-1 (2015-05-24
 


la version de xorg:


Xorg -version
 


retour de la commande:


X.Org X Server 1.17.1
Release Date: 2015-02-10
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.16.0-4-amd64 x86_64 Debian
Current Operating System: Linux debian40 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1 (2015-05-24) x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.16.0-4-amd64 root=UUID=b363147a-d53e-4b61-92a7-1ed8bb821441 ro quiet
Build Date: 04 May 2015  11:22:06PM
xorg-server 2:1.17.1-2 (http://www.debian.org/support)
Current version of pixman: 0.32.6
  Before reporting problems, check http://wiki.x.org
  to make sure that you have the latest version.
 


commande:


 insmod --version
 


retour de la commande


kmod version 20
 



pour glibc la ligne "ls /lib/libc.so.* > 6 " me retourne une erreur mais possible de connaitre sa version autrement
la version sur debian serait 2.19

pour binutil
commande


size --version
 


retour commande


GNU size (GNU Binutils for Debian) 2.25
Copyright (C) 2014 Free Software Foundation, Inc.
Ce logiciel est libre; vous pouvez le redistribuer selon les termes de la
version 3 de la licence GNU General Public License ou (à votre discrétion)
de toute version ultérieure. Aucune garantie n'est donnée sur ce programme.
 



pour make:
la commande


make --version
 


retour de la commande


GNU Make 4.0
Construit pour x86_64-pc-linux-gnu
Copyright (C) 1988-2013 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou ultérieure <http://gnu.org/licenses/gpl.html>
Ceci est un logiciel libre : vous êtes autorisé à le modifier et à la redistribuer.
Il ne comporte AUCUNE GARANTIE, dans la mesure de ce que permet la loi.
 


enfin pour gcc
commande


gcc --version
 


retour commande


gcc (Debian 4.9.2-16) 4.9.2
Copyright (C) 2014 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 



a priori sur cette machine en stretch et avec le driver debian experimental il ne me manque que glibc (pour installer le .run ) ou la commande est pas bonne pour debian

Dernière modification par robert2a (10-06-2015 19:33:23)

Hors ligne

#33 10-06-2015 19:08:08

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : probleme pilote GTX750ti

robert2a a écrit :

Ah bein alors ? Fô lire les docs, tout de même !  tongue  big_smile


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#34 10-06-2015 19:11:24

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : probleme pilote GTX750ti

tongue tongue tongue

oui chef  wink

lol

Hors ligne

#35 10-06-2015 19:26:44

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : probleme pilote GTX750ti

lol

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#36 10-06-2015 19:37:09

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : probleme pilote GTX750ti

au dessus je t ai fait le récapitulatif des paquets necessaires
pour l installation:
commande


sh ./NVIDIA-Linux-x86_64-346.72.run --install
 



pour desinstaller:


sh ./NVIDIA-Linux-x86_64-346.72.run --uninstall
 



j'ai pas mal de gpu maxwells avec Jessie et le .run (GTX 750 , 960 , 970 ,980 ) sans soucis particulier donc tu dois y arriver (sinon personnellement j' utilise quand cela est possible le driver debian de preference).

@++

ps: j'ai fait une petite recherche et ici ls ls /lib/x86_64-linux-gnu/libc.so.6 j ai bien mon libc.so par contre il demande une version superieure a 6 "ls /lib/libc.so.* > 6"
pour la derniere version du driver linux 346.72 , peut etre la le soucis .

quoique glibc 2  demandé et installé 2.19-18 , rhaaaa ces versions roll tongue
je me souvient pas d'avoir eu un probleme , j ai juste precisé l emplacement des librairies 32 dans la commande  de memoire.

Dernière modification par robert2a (10-06-2015 20:24:38)

Hors ligne

Pied de page des forums